Bug 736000 - Make hs_error*.log accessible by abrtd
Make hs_error*.log accessible by abrtd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
19
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: Pavel Tisnovsky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF17 773272
  Show dependency treegraph
 
Reported: 2011-09-06 07:44 EDT by Jiri Moskovcak
Modified: 2015-02-01 17:54 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 773272 (view as bug list)
Environment:
Last Closed: 2014-02-03 09:58:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jiri Moskovcak 2011-09-06 07:44:34 EDT
Description of problem:
When jvm crashes it creates the hs_error_<pid>.log file in the current working directory with some information which are helpful for developers when fixing the crash. In order to attach these log files to ABRT reports we need them to be saved somewhere else than $HOME because abrt daemon doesn't have access to home (because of security and nfs with root squash). I would propose /var/tmp as it's readable by abrtd, writeable by non-root users and it's auto-cleaned. When this is done every jvm crash reported by ABRT will automatically include this file, which should help java devels deal with ABRT reports much easier.

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-59.1.10.3.fc16.x86_64
Comment 2 Andrew John Hughes 2011-11-08 21:15:49 EST
The best way to fix this is still being evaluated.
Comment 5 Fedora End Of Life 2013-04-03 14:10:08 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Pavel Tisnovsky 2014-02-03 09:58:48 EST
This patch is now part of java-1.7.0-openjdk packages that is the default JDK for Fedora systems and java-1.6.0-openjdk is no longer available for Fedoras.

Note You need to log in before you can comment on or make changes to this bug.